Subject: Reg MIB Augments

From: "Shaik Yunus Saleem" <[email-masked]>
Date: Fri, 04 Aug 2000 11:58:28 +0530

Hi folks,
  I would like to know , how exactly augments clause works for a MIB.
   when i  augment  an existing mib with a new one, should a walk
issued  on the old mib traverse to the new mib ?? This makes sense if
the two tables are in the same node ie next in lexicographic order.But
if these two tables are apart ,should a walk traverse into the new mib?
In this case the OID's change and order is no more lexicographic.
      Can  we augment  a scalar table ie system table with another
scalar table??
Thanks,
Shaik

---

From: Randy Presuhn <[email-masked]>
Date: Mon, 7 Aug 2000 18:41:26 -0700 (PDT)

Hi -

> Message-ID: <[email-masked]>
> Date: Fri, 04 Aug 2000 11:58:28 +0530
> From: "Shaik Yunus Saleem" <[email-masked]>
> Organization: Wipro Technologies,Telecom Solutions
> To: [email-masked]
> Subject: Reg MIB Augments
...
> if these two tables are apart ,should a walk traverse into the new mib?

No, unless access control (e.g. RFC 2575) or RFC 2576 clause
4.1.2.1  has caused all the intervening stuff to be skipped.

>       Can  we augment  a scalar table ie system table with another
...

It sounds like there's some confusion between "group" and
"table".  See RFC 2578 clause 7.8 for the conditions where
AUGMENTS makes sense.

For further discussion on this topic, I suggest using the
[email-masked] or the [email-masked] mailing
lists.

 -------------------------------------------------------
 Randy Presuhn           [email-masked]
 Voice: +1 408 546-1006  BMC Software, Inc.  1-3141
 Fax:   +1 408 965-0359  2141 North First Street
 http://www.bmc.com/     San José, California 95131  USA
 -------------------------------------------------------
 My opinions and BMC's are independent variables.
 -------------------------------------------------------